petsc-3.4.2 2013-07-02

# TSSetFromOptions

Sets various TS parameters from user options.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetFromOptions(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### Options Database Keys

| -ts_type <type> | - TSEULER, TSBEULER, TSSUNDIALS, TSPSEUDO, TSCN, TSRK, TSTHETA, TSGL, TSSSP
| -ts_max_steps maxsteps | - maximum number of time-steps to take
| -ts_final_time time | - maximum time to compute to
| -ts_dt dt | - initial time step
| -ts_monitor | - print information at each timestep
| -ts_monitor_lg_timestep | - Monitor timestep size graphically
| -ts_monitor_lg_solution | - Monitor solution graphically
| -ts_monitor_lg_error | - Monitor error graphically
| -ts_monitor_lg_snes_iterations | - Monitor number nonlinear iterations for each timestep graphically
| -ts_monitor_lg_ksp_iterations | - Monitor number nonlinear iterations for each timestep graphically
| -ts_monitor_sp_eig | - Monitor eigenvalues of linearized operator graphically
| -ts_monitor_draw_solution | - Monitor solution graphically
| -ts_monitor_draw_solution_phase | - Monitor solution graphically with phase diagram
| -ts_monitor_draw_error | - Monitor error graphically
| -ts_monitor_solution_binary <filename> | - Save each solution to a binary file
| -ts_monitor_solution_vtk <filename.vts> | - Save each time step to a binary file, use filename-%%03D.vts

Developer Note: We should unify all the -ts_monitor options in the way that -xxx_view has been unified

### Keywords

TS, timestep, set, options, database

### See Also

TSGetType()

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex12.c.html